#!/usr/bin/make -f

%:
	dh $@ --with quilt,python3

override_dh_auto_build:

override_dh_auto_install:
	python3 $(CURDIR)/setup.py install --install-layout=deb --root $(CURDIR)/debian/postfix-policyd-spf-python
	# Install logcheck filter
	dh_install debian/postfix-policyd-spf-python.logcheck etc/logcheck/ignore.d.server/
	mv $(CURDIR)/debian/postfix-policyd-spf-python/etc/logcheck/ignore.d.server/postfix-policyd-spf-python.logcheck \
	$(CURDIR)/debian/postfix-policyd-spf-python/etc/logcheck/ignore.d.server/postfix-policyd-spf-python
	dh_install

override_dh_auto_clean:
	python3 $(CURDIR)/setup.py clean
	rm -rf $(CURDIR)/build

